<!DOCTYPE html>
<html>
    <head>
        <title>Frp Directory Manage</title>
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
        <!-- 防止双击屏幕的时候页面放大问题 -->
        <meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no" />
        <!-- 隐藏地址栏 -->
        <meta name='apple-mobile-web-app-capable' content='yes' />
        <meta name='full-screen' content='true' />
        <meta name='x5-fullscreen' content='true' />
        <meta name='360-fullscreen' content='true' />
        <meta content="text/html; charset=utf-8" http-equiv="content-type" />
        <script src="/js/hotkey.js"></script>
        <script type="text/javascript" src="/js/qrcodejs/jquery.min.js"></script>
        <link rel="stylesheet" href="/css/public.css">
        <style type="text/css">
            .pwd{
                background: transparent;
                border-left: 0px;
                border-top: 0px;
                border-right: 0px;
                border-bottom: 1px solid #999;
                color: #fff;
                outline: 0px;
            }
            #hpmsg{color:red;}
        </style>
    </head>
    <body>        
        提取码：<input type="password" class="pwd" />
        <input type="button" value="login" />
        <p id=hpmsg></p>
    </body>    
    <script type="text/javascript">
        $('[type="button"]').click(login);
        $('[type="password"]').keyup(function(){
            if(event.keyCode ==13)login();
        });
        function login(){
            var pwd = $('[type="password"]').val();
            var url = 'index.php?act=loginshare'+location.search
            url = url.replace(/[&\?]sharepwd=[^&]*/gi, '');
            url = url +"&sharepwd="+pwd;
            $.ajax({
                'url' : url
                , 'dataType' : 'json'
                , 'success':function(e){
                    var url = '/'+location.href.replace(/.*(LCK-\w+).*/gi, '$1');
                    if(e.errcode==0)
                        location.href = url;
                    hpmsg.innerHTML = e.data;
                    console.log(url);

                }
            });
        }

    </script>
</html>
